﻿
/*#region ***********基础样式************/
@charset "utf-8";
body{ font:13px/normal "Microsoft YaHei","Arial"; margin:0px; padding:0 0 0 0; position:relative; background:#fff;}
div,dl,dt,dd,ul,ol,li,h1,h2,h3,h4,h5,h6,pre,code,form,fieldset,legend,input,textarea,p,blockquote,a,img{ margin:0; padding:0; font-style:normal;}
h1,h2,h3,h4,h5,h6,dl,dt,dd,em,th{ font-size:100%; font-weight:normal;}
ul,li,p{ list-style:none; margin:0px; padding:0px;}
img{ border:0 none;}
a{ color:#000; text-decoration:none; cursor:pointer; text-decoration:none; outline:none;}
a:hover{ color:#0023b1;}
.clear{ display:block; height:0; overflow:hidden; clear:both; *zoom:1;}
.hidden{ display:none !important;}
.center{ text-align:center !important;}
.bold{ font-weight:bold !important;}
.left{ float:left !important;}
.right{ float:right !important;}
.fnone { float:none !important;}
.inline{ display:inline !important;}
.oh { overflow:hidden !important;}
.ov { overflow:visible !important;}
.huibg { background:#f7f7f7 !important;}
.NodataTips{ line-height:20px; display:block; overflow:hidden; text-align:center; font-size:13px; padding:30px 0; color:#666;}
#trans-tooltip,#tip-arrow-bottom,#tip-arrow-top{ display:none;}
/*#endregion */


/*#region ***********滚动条美化************/
::-webkit-scrollbar{ width:7px; height:7px; background-color:#f6f6f6;}
::-webkit-scrollbar-track{ border-radius:7px; background-color:#f6f6f6;}
::-webkit-scrollbar-thumb{ border-radius:7px; background-color:#999;}
/*#endregion */


/*#region ***********通用样式************/
.body{ padding:10px; height:auto;}

.color_molv { color:#009688;} /*墨绿*/
.color_lvse { color:#5FB878;} /*草绿*/
.color_hei { color:#393D49;} /*雅黑*/
.color_slan { color:#1E9FFF;} /*深蓝*/
.color_orange { color:#FFB800;} /*橙色*/
.color_red { color:#FF5722;} /*赤色*/
.color_qlan { color:#01AAED;} /*蓝色*/
.color_zang { color:#2F4056;} /*藏青*/

.layui-btn-black { background:#232323;}

/*默认提示颜色*/
.layui-form-mid { color:#FF5722;}

/*按钮色*/
.layui-btn-lvse { background:#5FB878;}
/*#endregion */


/*#region ***********页面元素************/
/*后台首页*/
.layadmin-backlog-body { display:block; padding:10px 15px; background:#f8f8f8; color:#999; border-radius:2px;
transition:all .3s; -webkit-transition:all .3s;}
.layadmin-backlog-body h3 { padding-bottom:10px; font-size:12px;}
.layadmin-backlog-body cite { font-style:normal; font-size:27px; color:#009688; font-family:Arial;}
.layadmin-backlog-body:hover{ background:#f2f2f2; color:#888;}

/*工具栏*/
.layui-tool { width:100%; height:38px; padding:5px 0; overflow:hidden; background:#fafafa; position:fixed; left:0; z-index:1002; text-align:center;
border-top:1px solid #f1f1f1; border-bottom:1px solid #f1f1f1;}
.layui-tool-no { width:100%; height:50px; overflow:hidden; clear:both;}
.layui-tool.top { top:0 !important;}
.layui-tool.foot { bottom:0 !important;}

/*图标列表*/
.layui-iconbtn { height:35px; line-height:35px; padding:10px 0 10px 10px; display:block; overflow:hidden; background:#f3f3f3;}
.layui-iconbtn i { float:left; width:35px; height:35px; line-height:35px; display:block; overflow:hidden; text-align:center;
background:#2F4056; color:#fff; font-size:21px; border-radius:4px; margin-right:10px;}
.layui-iconbtn i.layui-icon-close { background:#ddd;}
.layui-iconbtn cite { }

/*文本显示*/
.layui-doc { display:block; overflow:hidden;}
.layui-docli { line-height:20px; padding:10px 5px 5px 5px; overflow:hidden; border-bottom:1px solid #ccc;}

/*表单查看显示*/
.layui-viewform { overflow:hidden; min-height:22px; line-height:22px; padding:8px 0 6px 10px; border-bottom:1px solid #eee; border-left:1px solid #eee; word-wrap:break-word;}
.layui-viewform img { margin:0 10px 10px 0; max-width:100%;}
.layui-viewform .layui-btn-xs { float:left; margin:0 7px 1px 0 !important;}
/*#endregion */


/*#region ***********表格样式************/
/*表格表单*/
.layui-table-nobo .layui-table-edit { border-color:#fff;}

/*表格图片最高*/
.layui-table img { max-height:60px;}
.tableimg-sm { height:28px; margin-top:-4px;}

/*表格默认字体大小*/
.layui-table td,.layui-table th { font-size:13px;}
.layui-table-tips-main { font-size:13px;}
.layui-table,.layui-table-view { margin:0;}
.layui-table-click { background-color:#f4fafe !important;}

/*自定义静态表格、可拖动*/
.layui-table-drag tr { transition:all 0s; -webkit-transition:all 0s; }
.layui-table-drag .layui-form-switch { margin-top:0;}
.layui-table-drag .layui-form-select { position:absolute; left:0; top:0; width:100%; height:100%;}
.layui-table-drag .layui-form-select input { border:0 none;}
.layui-table-drag th { }
.layui-table-drag td { padding:8px 0 7px 15px; }

/*#endregion */


/*#region ***********自定义表单************/
/*表单默认样式*/
.layui-dialog { overflow:hidden; padding:10px;}
.layui-formbox { background:#fff; padding:10px 40px 0 0; zoom:1}
.layui-formbox-long { }
.layui-formbox-long .layui-form-label { width:135px; padding:9px 15px 9px 0;}
.layui-formbox-long .layui-input-block { margin-left:150px;}
.layui-form-pane { padding:0 0 0 0;}
.layui-form-select dl { z-index:1200; } /*下拉框搜索被遮盖*/
.layui-input-span { line-height:38px; display:inline-block; overflow:hidden; text-align:center; font-size:13px;}

/*上传图片*/
.picture_box{ overflow:hidden; position:relative;}
.layui-form-pane .picture_box { padding:10px; border:1px solid #eee; border-top:0 none; } /*方框风格*/
.upload_btn { float:left; overflow:hidden;}
.upload_btn .layui-btn { float:left; margin-left:0; margin-right:1px;}
.upload_txt { overflow:hidden;}

/*上传组图*/
.showimg{ overflow:hidden; clear:both;}
.showimg a { display:inline-block; overflow:hidden; position:relative;}
.showimg img{ max-width:1000px; max-height:100px; display:block; padding:5px; border:1px solid #ddd; margin:10px 0 0 0; border-radius:2px;}
.showimg a i { width:100%; height:25px; line-height:25px; overflow:hidden; background:rgba(0,0,0,0.4); transition:all linear 0.2s;
position:absolute; left:0; bottom:-25px; z-index:100; font-size:12px; color:#fff; text-align:center; *background:#333; font-style:normal;}
.showimg a:hover i{ bottom:0px;}

.album_list{ overflow:hidden; clear:both;}
.album_list li{ float:left; max-height:100px; min-width:50px; overflow:hidden; padding:5px; border:1px solid #ddd; margin:10px 10px 0 0; border-radius:2px; cursor:pointer; position:relative; background:#fff;}
.album_list li img{ max-height:100px; display:block; margin:0 auto; *margin:0;}
.album_list li a{ width:100%; height:25px; line-height:25px; overflow:hidden; background:rgba(0,0,0,0.4); transition:all linear 0.2s;
position:absolute; left:0; top:-25px; z-index:100; font-size:12px; color:#fff; text-align:center; *background:#333; font-style:normal;}
.album_list li:hover a{ top:0px;}
.album_list li i{ width:100%; height:25px; line-height:25px; overflow:hidden; background:rgba(0,0,0,0.4); transition:all linear 0.2s;
position:absolute; left:0; bottom:-25px; z-index:100; font-size:12px; color:#fff; text-align:center; *background:#333; font-style:normal;}
.album_list li:hover i{ bottom:0px;}

/*上传附件*/
.attach_list{ overflow:hidden; clear:both; font-size:12px;}
.attach_list li{ float:left; width:220px; padding:0 30px 0 10px; margin:10px 10px 0 0; border:1px solid #ddd; position:relative; background:#fff;}
.attach_list li h4{ line-height:30px; height:30px; display:block; overflow:hidden; font-weight:bold;}
.attach_list li p{ line-height:30px; height:30px; display:block; overflow:hidden; border-top:1px solid #ddd;}
.attach_list li i { display:none;}
.attach_list li a.del{ width:30px; height:30px; line-height:30px; display:block; overflow:hidden; text-align:center; font-size:20px;
position:absolute; top:0; right:0; z-index:10;}

/*弹窗、js搜索*/
.formsearch{ overflow:hidden;}
.formsearch a { margin-top:5px;}
.formsearch p{ display:block; overflow:hidden; padding-top:5px;}
.formsearch p .layui-btn { margin:5px 10px 0 0 !important;}
.xkfile_tree{ height:300px; overflow:auto; position:relative; background:#f7f7f7;}
.xkfile_tree_top{ width:100%; overflow:hidden; padding:0 0 10px 0; position:relative;}
.xkfile_tree_line{ width:100%; height:4px; overflow:hidden; border-top:1px solid #ddd;}
.xkfile_tree_search { float:right; width:150px; height:30px; line-height:30px;}

/*编辑器*/
.layui-ueditor { width:99%; min-height:250px; padding-top:10px;}

/*颜色控件*/
.layui-input-color { height:38px; position:relative;}
.layui-input-color .minicolors-input { width:120px !important; padding-left:38px !important;}
.layui-input-color .minicolors-swatch { width:36px !important; height:36px !important;}
.layui-input-color .minicolors-panel { margin-top:0 !important;}

/*文本框按钮同行*/
.layui-input-btnrow { }
.layui-input-btnrow .layui-btn { position:absolute; top:0; right:0; z-index:100;}

/*表单的复选框*/
.layui-form-checkboxdiv .layui-form-checkbox { margin-top:4px; }
.layui-checkboxall { float:left; margin:4px 10px 0 0;}

/*弹窗、js搜索、列表用*/
.listsearch{ overflow:hidden; padding-top:3px;}
.listsearch a { float:left; margin-bottom:5px;}
.listsearch p{ display:block; overflow:hidden; padding:0 0 0 5px;}
.listsearch p .layui-btn { margin:0 5px 5px 0 !important;}
/*#endregion */



/*#region ***********表单配置************/
.editformbox li .layui-btn { display:none;}
.editformbox li:hover .layui-btn { display:inline-block; position:absolute; bottom:14px; right:10px;}
.editformbox .move { right:60px !important;}
.editformbox .del { right:10px !important;}

.editformitem { height:134px; background:#fafafa; padding:10px 10px 10px 120px; position:relative; border:1px solid #f5f5f5;}
.editformitem.view { height:86px;}
.editformitem_title,.viewformitem_title { width:100px; height:38px; line-height:38px; border:0 none; text-align:right; position:absolute; left:10px; top:10px; z-index:100;
background-color:transparent; border-bottom:1px solid #eee; color:#7a3722;}
.editformitem_field,.viewformitem_field { width:100px; height:38px; line-height:38px; border:0 none; text-align:right; position:absolute; left:10px; top:58px; z-index:100;
background-color:transparent; border-bottom:1px solid #eee; color:#009688;}
/*#endregion */



/*#region ***********字段组件************/
.fieldboxright { border-left:1px solid #ddd; padding-left:10px;}
.fieldbox1 div { float:left;}
.fieldbox2 div { float:left;}

.fieldbox{ float:left; height:40px; margin:0 5px 5px 0; overflow:hidden; text-align:left; position:relative; border-radius:2px; background:#0d5fc3; border:1px solid #0d5fc3;}
.fieldbox p{ float:left; line-height:15px; height:30px; min-width:100px; padding:5px; display:block; overflow:hidden; font-size:12px; color:#fff;}
.fieldbox p b{ display:block; overflow:hidden;}
.fieldbox p span { display:block; overflow:hidden;}
.fieldbox.fbx1{ background:#0d5fc3; border:1px solid #0d5fc3;}
.fieldbox.fbx2{ background:#69b924; border:1px solid #69b924;}
.fieldbox.fbx3{ background:#c93e45; border:1px solid #c93e45;}
.fieldbox.fbx4{ background:#fc931a; border:1px solid #fc931a;}
.fieldbox.fbx5{ background:#385469; border:1px solid #385469;}
.fieldbox.fbx6{ background:#00afd4; border:1px solid #00afd4;}
.fieldbox.fbx7{ background:#bc02f2; border:1px solid #bc02f2;}
.fieldbox.fbx8{ background:#00a80c; border:1px solid #00a80c;}

.field_btn{ float:left; width:20px; height:40px; background:#fff; display:block; overflow:hidden;}
.field_btn a{ float:left; display:block; width:20px; height:20px; overflow:hidden;}
.field_btn a.a1{ background:url(img/order_left.png) no-repeat center center;}
.field_btn a.a2{ background:url(img/order_right.png) no-repeat center center;}
.field_btn a.a3{ background:url(img/field_edit.png) no-repeat center center;}
.field_btn a.a4{ background:url(img/field_del.png) no-repeat center center;}
.colfield_btn{ float:left; width:40px; height:40px; background:#fff; overflow:hidden;}
.colfield_btn a{ float:left; display:block; width:30px; height:30px; overflow:hidden; margin:5px 0 0 5px; background:url(img/t01.png) no-repeat center center;}
/*#endregion */